import dynamix_sdk.base as _base


class CloudapiComputeUnpinFromNodeResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeUnpinFromNodeProtocol(_base.BasePostAPIFunctionProtocol):
    def unpin_from_node(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeUnpinFromNodeResultBool:
        ...
